# Copyright 2018, 2019 Cumulus Networks, Inc.  All Rights reserved.
# This software is subject to the Cumulus Networks End User License Agreement
# available at the following locations:
# Internet: https://cumulusnetworks.com/downloads/eula/latest/view/
# Cumulus Linux systems: /usr/share/cumulus/EULA.txt


from netq_agent.parsers.common.configMon import ConfigMonRender


class CumulusConfigMonRender(ConfigMonRender):

    def __init__(self):
        super(CumulusConfigMonRender, self).__init__()

    def get_config_dict(self):
        ##conf_dict = configuration.get_config("config-diff")
        conf_dict = {
            'config-diff': {
                'interfaces': '/etc/network/interfaces',
                'frr': '/etc/frr/frr.conf',
                'lldpd': '/etc/lldpd.d/README.conf',
                'ptm': '/etc/ptm.d/topology.dot',
                'ntp': '/etc/ntp.conf',
                'snmpd': '/etc/snmp/snmpd.conf'
            }
        }
        return conf_dict


def process_config_mon(cmd_output, svc_failed=False, **kwargs):
    render = CumulusConfigMonRender()
    return render.parse(cmd_output, svc_failed, **kwargs)
