# Copyright 2017, 2018, 2019, 2020 Cumulus Networks, Inc.  All Rights reserved.
#
# This software is subject to the Cumulus Networks End User License Agreement
# available at the following locations:
#
# Internet: https://cumulusnetworks.com/downloads/eula/latest/view/
# Cumulus Linux systems: /usr/share/cumulus/EULA.txt

from netq_agent.parsers.common.proc import ProcRender


class CumulusProcRender(ProcRender):
    def __init__(self):
        super(CumulusProcRender, self).__init__()

    def get_interfaces(self, **kwargs):
        # Get interface names: (containing "swp"), (not containing "."), (not ending with "-v0")
        if_names = kwargs.get('ports', None)
        if_names = [i for i in if_names if (i.startswith("eth") or ("swp" in i)) and ("." not in i) and not (i.endswith('-v0'))]
        return if_names

    def get_command(self, ifname):
        return "ethtool -S {}".format(ifname)


def process_proc_net_dev(output, svc_failed=False, **kwargs):
    """
    Parse /proc/net/dev counters
    """
    render = CumulusProcRender()
    return render.parse(output, svc_failed, **kwargs)

